##
## autogenerated ChangeLog -- don't edit
##

2002-11-21 Thursday 15:14  Herbert Valerio Riedel <hvr@kernel.org>

	* Makefile: 0.1.0-final

2002-10-05 Saturday 13:30  Herbert Valerio Riedel <hvr@kernel.org>

	* Makefile: rolling rc4

2002-10-05 Saturday 12:47  Herbert Valerio Riedel <hvr@kernel.org>

	* kernel/crypto/ciphers/cipher-aes.c: fixed unaligned accesses on
	64bit

2002-10-04 Friday 09:58  Herbert Valerio Riedel <hvr@kernel.org>

	* kernel/crypto/ciphers/: cipher-gost.c, cipher-gost.c,
	cipher-gost.c: big endian fixes

2002-10-02 Wednesday 22:02  Herbert Valerio Riedel <hvr@kernel.org>

	* kernel/crypto/digests/: digest-md5.c, digest-sha1.c,
	digest-sha256.c, digest-sha384.c, gen-hash.h, gen-hmac.h: cleaned
	up digests further

2002-10-02 Wednesday 01:44  Herbert Valerio Riedel <hvr@kernel.org>

	* kernel/: crypto/digests/digest-sha256.c,
	crypto/digests/digest-sha384.c, crypto/digests/digest-sha512.c,
	include/linux/wordops.h: fixed sha384final

2002-10-01 Tuesday 23:55  Herbert Valerio Riedel <hvr@kernel.org>

	* kernel/crypto/digests/digest-sha1.c: 64bit fixes

2002-10-01 Tuesday 23:21  Herbert Valerio Riedel <hvr@kernel.org>

	* kernel/crypto/ciphers/cipher-blowfish_old.c: fixed for big endian

2002-10-01 Tuesday 23:14  Herbert Valerio Riedel <hvr@kernel.org>

	* kernel/crypto/: ciphers/cipher-rc5.c, digests/digest-ripemd160.c:
	fixed for big endian

2002-10-01 Tuesday 22:39  Herbert Valerio Riedel <hvr@kernel.org>

	* kernel/crypto/digests/digest-ripemd160.c: fixed some byte
	swapping issues

2002-10-01 Tuesday 18:36  Herbert Valerio Riedel <hvr@kernel.org>

	* kernel/crypto/digests/: digest-sha256.c, digest-sha384.c,
	digest-sha512.c: tried to clean up a bit

2002-10-01 Tuesday 17:41  Herbert Valerio Riedel <hvr@kernel.org>

	* kernel/: crypto/cryptoapi.c, crypto/digests/gen-hmac.h,
	include/linux/crypto.h: added some const to hmac-functions (API
	binary compatible changes!)

2002-10-01 Tuesday 13:10  Herbert Valerio Riedel <hvr@kernel.org>

	* kernel/crypto/Config.help: minor help fix

2002-09-29 Sunday 15:46  Herbert Valerio Riedel <hvr@kernel.org>

	* Makefile, kernel/Documentation/cryptoapi/AUTHORS: rolling -rc3

2002-09-29 Sunday 15:31  Herbert Valerio Riedel <hvr@kernel.org>

	* kernel/crypto/digests/digest-md5.c: cleaned up digest-md5.c

2002-09-29 Sunday 10:21  Herbert Valerio Riedel <hvr@kernel.org>

	* kernel/: Documentation/cryptoapi/cryptoapi.txt,
	crypto/digests/digest-md5.c, include/linux/crypto.h: (Tobias
	Ringstrom) replaced broken digest-md5 implementation; updated
	documentation regarding ->digest() vs. ->close() usage.

2002-09-25 Wednesday 22:55  Herbert Valerio Riedel <hvr@kernel.org>

	* kernel/crypto/digests/digest-md5.c: (kyle) fixed md5 code, *out
	wasnt getting filled with the hash

2002-09-06 Friday 09:35  Herbert Valerio Riedel <hvr@kernel.org>

	* kernel/crypto/Config.help: updated help text

2002-09-06 Friday 08:55  Herbert Valerio Riedel <hvr@kernel.org>

	* kernel/crypto/: Config.in, Makefile, ciphers/Config.in,
	digests/Config.in: fixed kbuild bugs

2002-09-04 Wednesday 22:02  Herbert Valerio Riedel <hvr@kernel.org>

	* Makefile: rolling rc2

2002-09-04 Wednesday 22:01  Herbert Valerio Riedel <hvr@kernel.org>

	* patches/linux-2.2/loop-jari-2.2.20: [no log message]

2002-09-04 Wednesday 20:39  Herbert Valerio Riedel <hvr@kernel.org>

	* kernel/crypto/: ciphers/cipher-aes.c, ciphers/cipher-blowfish.c,
	ciphers/cipher-cast5.c, ciphers/cipher-dfc.c,
	ciphers/cipher-gost.c, ciphers/cipher-idea.c,
	ciphers/cipher-mars.c, ciphers/cipher-rc5.c, ciphers/cipher-rc6.c,
	ciphers/cipher-serpent.c, ciphers/cipher-twofish.c,
	digests/digest-md5.c, digests/digest-ripemd160.c,
	digests/digest-sha1.c, digests/digest-sha256.c,
	digests/digest-sha384.c, digests/digest-sha512.c: added missing
	MODULE_DESCRIPTION()'s

2002-09-04 Wednesday 15:30  Herbert Valerio Riedel <hvr@kernel.org>

	* Makefile: make modules being installed into the correct location;
	pointed out by tobias ringstrom

2002-08-24 Saturday 15:31  Herbert Valerio Riedel <hvr@kernel.org>

	* kernel/Documentation/cryptoapi/AUTHORS: [no log message]

2002-08-22 Thursday 17:04  Kyle McMartin <kyle@debian.org>

	* README: explain KDIR

2002-08-22 Thursday 16:10  Herbert Valerio Riedel <hvr@kernel.org>

	* kernel/Documentation/cryptoapi/AUTHORS: [no log message]

2002-08-22 Thursday 15:48  Kyle McMartin <kyle@debian.org>

	* Makefile: bomb on 2.5

2002-08-22 Thursday 15:31  Herbert Valerio Riedel <hvr@kernel.org>

	* kernel/crypto/ciphers/cipher-des.c: disabled DES parity checking
	in set_key

2002-08-17 Saturday 20:53  Herbert Valerio Riedel <hvr@kernel.org>

	* RELEASE.NOTES: documentation updates

2002-08-17 Saturday 20:39  Herbert Valerio Riedel <hvr@kernel.org>

	* patches/linux-2.5/kbuild-2.5.31: added kbuild patch for 2.5.31

2002-08-17 Saturday 19:22  Herbert Valerio Riedel <hvr@kernel.org>

	* Makefile, cryptoapi.spec: making build scripts ready for release

2002-08-17 Saturday 18:54  Kyle McMartin <kyle@debian.org>

	* kernel/crypto/digests/: digest-md5.c, digest-ripemd160.c,
	digest-sha256.c, digest-sha384.c, digest-sha512.c: cleaning up
	constness, fixing BIG_ENDIAN in digest-md5

2002-08-17 Saturday 18:44  Herbert Valerio Riedel <hvr@kernel.org>

	* kernel/crypto/ciphers/cipher-3des.c: override cipher-name to be
	"3des"; added MODULE_DESCRIPTION

2002-08-17 Saturday 18:17  Kyle McMartin <kyle@debian.org>

	* kernel/crypto/ciphers/cipher-3des.c: *smacks head*
	s/3des/des_ede3/... stupid.

2002-08-17 Saturday 18:06  Herbert Valerio Riedel <hvr@kernel.org>

	* kernel/crypto/ciphers/gen-cipher.h: added CIPHER_STR #define; can
	be overridden

2002-08-17 Saturday 16:50  Kyle McMartin <kyle@debian.org>

	* Makefile, RELEASE.NOTES, cryptoapi.spec,
	kernel/crypto/ciphers/Config.help, kernel/crypto/ciphers/Config.in,
	kernel/crypto/ciphers/Makefile: foo - updated for 3des...

2002-08-17 Saturday 16:44  Kyle McMartin <kyle@debian.org>

	* kernel/crypto/ciphers/cipher-3des.c: renaming ede3 to 3des.

2002-08-17 Saturday 16:40  Kyle McMartin <kyle@debian.org>

	* kernel/crypto/ciphers/cipher-des_ede3.c: renaming to cipher-3des

2002-08-17 Saturday 16:29  Kyle McMartin <kyle@debian.org>

	* RELEASE.NOTES: adding release notes.

2002-08-16 Friday 21:17  Kyle McMartin <kyle@debian.org>

	* Makefile: bump

2002-08-14 Wednesday 16:44  Kyle McMartin <kyle@debian.org>

	* kernel/include/linux/crypto.h: added padding inline functions.

2002-08-11 Sunday 17:36  Jean-Luc Cooke <jlcooke@certainkey.com>

	* kernel/crypto/ciphers/gen-rtc.h: fixed enc and dec errors in RTC

2002-08-11 Sunday 17:28  Jean-Luc Cooke <jlcooke@certainkey.com>

	* kernel/crypto/ciphers/gen-ctr.h: fixed flaw in CTR mode

2002-08-06 Tuesday 15:33  Kyle McMartin <kyle@debian.org>

	* kernel/crypto/ciphers/cipher-rc5.c: ugh *thwack* brackets ==
	important ;)

2002-08-06 Tuesday 15:04  Kyle McMartin <kyle@debian.org>

	* kernel/crypto/ciphers/cipher-rc5.c: fix bug from mailing list irt
	TABSIZE not being dependent on ROUNDS.

2002-08-04 Sunday 02:56  Kyle McMartin <kyle@debian.org>

	* Makefile: typo.

2002-08-03 Saturday 19:29  Kyle McMartin <kyle@debian.org>

	* README, kernel/Documentation/cryptoapi/README,
	kernel/Documentation/cryptoapi/cryptoloop.txt: updates to remove
	references to cryptoloop being in the source tree, and modified to
	give instructions on fetching the cryptoloop source.

2002-08-03 Saturday 18:17  Kyle McMartin <kyle@debian.org>

	* Makefile: Applied patch from Tobias to fix hard linking.

2002-08-03 Saturday 05:23  Kyle McMartin <kyle@debian.org>

	* kernel/crypto/drivers/Makefile, patches/linux-2.4/kbuild-2.4.19:
	updating for 2.4.19, and correcting a compile bug.

2002-08-02 Friday 17:48  Kyle McMartin <kyle@debian.org>

	* Makefile, kernel/crypto/ciphers/Config.help,
	kernel/crypto/ciphers/Config.in, kernel/crypto/ciphers/Makefile:
	added NULL, bump to -rc! will produce tar balls and kernel patches
	momentarily.

2002-08-02 Friday 17:40  Kyle McMartin <kyle@debian.org>

	* kernel/crypto/ciphers/cipher-null.c: rename identity to null [for
	IPsec rfcs] since they are identical.

2002-08-02 Friday 17:32  Kyle McMartin <kyle@debian.org>

	* kernel/crypto/ciphers/: cipher-dummy.c, cipher-identity.c:
	removing dummy and identity

2002-07-27 Saturday 01:37  Kyle McMartin <kyle@debian.org>

	* Makefile: bump version number to pre6 and remove $LOOP

2002-07-24 Wednesday 20:03  Kyle McMartin <kyle@debian.org>

	* Makefile: more removal of cryptoloop traces

2002-07-24 Wednesday 17:30  Kyle McMartin <kyle@debian.org>

	* kernel/crypto/drivers/Config.in: placeholder file for hooking
	into

2002-07-24 Wednesday 17:27  Kyle McMartin <kyle@debian.org>

	* patches/linux-2.4/: loop-iv-2.4.16, loop-jari-2.4.16,
	loop-jari-2.4.18: moving to cryptoloop

2002-07-23 Tuesday 22:21  Kyle McMartin <kyle@debian.org>

	* Makefile: finish moving cryptoloop out

2002-07-23 Tuesday 21:36  Kyle McMartin <kyle@debian.org>

	* kernel/crypto/Makefile: removed cryptoloop

2002-07-23 Tuesday 21:35  Kyle McMartin <kyle@debian.org>

	* Makefile: remove the loop patching...

2002-07-23 Tuesday 21:32  Kyle McMartin <kyle@debian.org>

	* kernel/crypto/Config.in: providing path for cryptoloop.

2002-07-21 Sunday 21:58  Kyle McMartin <kyle@debian.org>

	* Makefile: put the modules in the proper place with kernel version
	>= 2.4

2002-07-19 Friday 02:39  Kyle McMartin <kyle@debian.org>

	* kernel/crypto/digests/digest-sha384.c: merged SHA-512 code in
	SHA-384, this cleans up some symbol duplication.

2002-07-18 Thursday 02:50  Kyle McMartin <kyle@debian.org>

	* kernel/crypto/: cryptoapi.c, ciphers/cipher-blowfish_old.c,
	ciphers/cipher-idea.c, ciphers/cipher-identity.c: added
	unregistering messages [useful], set license on idea and
	blowfish_old to unknown, fixed hvr misspelling his own name in the
	copyright for identity ;)

2002-07-16 Tuesday 23:13  Kyle McMartin <kyle@debian.org>

	* kernel/crypto/: Config.in, ciphers/cipher-rc5.c,
	digests/digest-sha256.c, digests/digest-sha384.c,
	digests/digest-sha512.c, digests/gen-hash.h: chose a more
	conservative digest settings, will be modifiable in Config.in more
	descriptive comment on the __x functions in gen-hash.

2002-07-15 Monday 07:56  Herbert Valerio Riedel <hvr@kernel.org>

	* kernel/crypto/cryptoapi.c: restored emacs' autorun footer

2002-07-15 Monday 04:18  Kyle McMartin <kyle@debian.org>

	* kernel/crypto/cryptoapi.c: pull some stuff out of big in-function
	PROC ifdefs and into their own functions.

2002-07-12 Friday 11:03  Herbert Valerio Riedel <hvr@kernel.org>

	* Makefile, cryptoapi.spec: added .spec file to DISTFILES

2002-07-12 Friday 10:56  Herbert Valerio Riedel <hvr@kernel.org>

	* Makefile, cryptoapi.spec: added first spec file to cvs

2002-07-12 Friday 10:08  Herbert Valerio Riedel <hvr@kernel.org>

	* Makefile: s/install_modules/modules_install/; added
	INSTALL_MOD_PATH prefix

2002-07-11 Thursday 13:13  Herbert Valerio Riedel <hvr@kernel.org>

	* kernel/crypto/: cryptoapi.c, ciphers/Config.in: added
	MODULE_DESCRIPTION()

2002-07-11 Thursday 12:38  Herbert Valerio Riedel <hvr@kernel.org>

	* Makefile, README, kernel/crypto/ciphers/Makefile,
	kernel/crypto/ciphers/cipher-identity.c: added identity cipher --
	yes... some ppl use it! :-); few toplevel files were forgotten to
	be put in DISTFILES; removed references to cryptoapi.sf.net

2002-07-11 Thursday 09:25  Herbert Valerio Riedel <hvr@kernel.org>

	* kernel/crypto/ciphers/cipher-aes.c: rewrote cipher-aes

2002-07-11 Thursday 01:47  Kyle McMartin <kyle@debian.org>

	* kernel/crypto/cryptoapi.c: oops, off by one.

2002-07-11 Thursday 01:18  Kyle McMartin <kyle@debian.org>

	* kernel/crypto/cryptoapi.c: cleanup some indents, add GPL, add
	$Id: ChangeLog,v 1.1.2.1 2004/05/23 12:29:03 nikki Exp $

2002-07-09 Tuesday 22:36  Kyle McMartin <kyle@debian.org>

	* kernel/crypto/cryptoapi.c: better fix... (hvr: snprintfs size
	argument includes the trailing NUL)

2002-07-09 Tuesday 22:02  Kyle McMartin <kyle@debian.org>

	* kernel/crypto/cryptoapi.c: fixed a potential buffer overflow.

2002-07-09 Tuesday 21:22  Kyle McMartin <kyle@debian.org>

	* kernel/crypto/ciphers/cipher-gost.c: clean ups, added more
	informative #defines, removed cruft.

2002-07-07 Sunday 20:07  Jean-Luc Cooke <jlcooke@certainkey.com>

	* kernel/crypto/ciphers/: Config.help, Config.in: Added GOST

2002-07-07 Sunday 19:05  Jean-Luc Cooke <jlcooke@certainkey.com>

	* kernel/crypto/ciphers/cipher-gost.c: should work under
	cryptoapi's deign model

2002-07-07 Sunday 03:03  Jean-Luc Cooke <jlcooke@certainkey.com>

	* kernel/crypto/ciphers/cipher-gost.c: The Russian GOST cipher for
	former easter bloc nations...still needs testing

2002-07-04 Thursday 23:55  Kyle McMartin <kyle@debian.org>

	* kernel/crypto/ciphers/Makefile: don't build cipher-dummy...

2002-07-04 Thursday 03:44  Kyle McMartin <kyle@debian.org>

	* kernel/crypto/digests/: digest-md5.c, digest-ripemd160.c,
	digest-sha1.c, digest-sha256.c, digest-sha384.c, digest-sha512.c,
	gen-hash.h, gen-hmac.h: added a gen-hash template, akin to
	gen-cipher. as a result, hashes are much cleaner. No penguins were
	harmed in the making of this... [ie: no panic()]

2002-07-04 Thursday 01:35  Jean-Luc Cooke <jlcooke@certainkey.com>

	* kernel/crypto/ciphers/: gen-ctr.h, gen-rtc.h: changed _computeIV
	to _seek_iv

2002-07-04 Thursday 01:34  Jean-Luc Cooke <jlcooke@certainkey.com>

	* kernel/crypto/ciphers/: Config.help, Config.in: DFC has a highly
	suspected attack

2002-07-04 Thursday 01:28  Jean-Luc Cooke <jlcooke@certainkey.com>

	* kernel/crypto/digests/digest-ripemd160.c: Clue --> Glue spellign
	error

2002-07-04 Thursday 01:21  Kyle McMartin <kyle@debian.org>

	* kernel/crypto/digests/: digest-md5.c, digest-sha256.c,
	digest-sha384.c, digest-sha512.c, md5.h, md5c.c: committing md5...
	md5 sucks anyways, and i don't think anyone is listening to my
	hollers for testing... :)

2002-07-04 Thursday 01:19  Jean-Luc Cooke <jlcooke@certainkey.com>

	* kernel/crypto/digests/Makefile: added ripemd160

2002-07-04 Thursday 01:19  Jean-Luc Cooke <jlcooke@certainkey.com>

	* kernel/crypto/digests/Config.in: added ripemd160 sha256 sha384

2002-07-04 Thursday 01:18  Jean-Luc Cooke <jlcooke@certainkey.com>

	* kernel/crypto/digests/Config.help: improved help

2002-07-04 Thursday 01:18  Jean-Luc Cooke <jlcooke@certainkey.com>

	* kernel/crypto/digests/digest-ripemd160.c: RIPEMD-160 hash for
	E.U. peoples

2002-07-04 Thursday 00:01  Kyle McMartin <kyle@debian.org>

	* kernel/crypto/digests/sha1c.c: *blam* killed it dead.

2002-07-04 Thursday 00:00  Kyle McMartin <kyle@debian.org>

	* kernel/crypto/digests/digest-sha384.c: and sha384...

2002-07-04 Thursday 00:00  Kyle McMartin <kyle@debian.org>

	* kernel/crypto/digests/: Makefile, digest-sha256.c: adding sha256

2002-07-03 Wednesday 21:40  Kyle McMartin <kyle@debian.org>

	* kernel/crypto/digests/Makefile: blam.

2002-07-03 Wednesday 21:38  Kyle McMartin <kyle@debian.org>

	* kernel/crypto/digests/digest-sha512.c: adding sha512 to the main
	tree until hasher API stabilizes

2002-07-03 Wednesday 21:37  Kyle McMartin <kyle@debian.org>

	* kernel/crypto/digests/: Config.help, Config.in, digest-sha1.c:
	clean up the digests directory...

2002-07-02 Tuesday 01:31  Kyle McMartin <kyle@debian.org>

	* kernel/crypto/ciphers/cipher-rc5.c: more rc5 updates...

2002-07-02 Tuesday 01:05  Kyle McMartin <kyle@debian.org>

	* kernel/crypto/ciphers/cipher-rc5.c: bada bing, bada bang, bada
	boom! rc5 is working.  yeeeeeeahhhhh baby, yeeeeahaha.

2002-07-01 Monday 05:52  Kyle McMartin <kyle@debian.org>

	* kernel/crypto/ciphers/cipher-serpent.c: blargh,
	s/$CryptoAPI$/$Id/

2002-07-01 Monday 05:51  Kyle McMartin <kyle@debian.org>

	* kernel/: include/linux/wordops.h,
	crypto/ciphers/cipher-serpent.c: cleanups...

2002-06-25 Tuesday 00:19  Kyle McMartin <kyle@debian.org>

	* kernel/crypto/ciphers/cipher-cast5.c: added $Id: ChangeLog,v 1.1.2.1 2004/05/23 12:29:03 nikki Exp $ tag.

2002-06-25 Tuesday 00:12  Kyle McMartin <kyle@debian.org>

	* kernel/crypto/ciphers/: gen-ctr.h, gen-rtc.h: updated
	gen-rtc/gen-ctr from tree on my laptop, finally. includes various
	cleanups.

2002-06-10 Monday 21:15  Kyle McMartin <kyle@debian.org>

	* kernel/crypto/digests/Config.in: add sha[256,384,512] to kernel
	config.in

2002-06-10 Monday 21:11  Kyle McMartin <kyle@debian.org>

	* kernel/crypto/digests/: hasher_test.c, hmacer_test.c, md5_test.c,
	sha1_test.c, sha256_test.c, sha384_test.c, sha512_test.c: more
	cleaning.

2002-06-10 Monday 21:06  Kyle McMartin <kyle@debian.org>

	* kernel/crypto/digests/Doxyfile: begin cleanup of hasher branch.

2002-06-10 Monday 12:35  Herbert Valerio Riedel <hvr@kernel.org>

	* kernel/crypto/digests/: Doxyfile, Makefile, digest-md5.c,
	digest-sha1.c, digest-sha256.c, digest-sha384.c, digest-sha512.c,
	hashcom.c, hashcom.h, hasher.c, hasher.h, hasher_test.c, hmacer.c,
	hmacer.h, hmacer_test.c, md5.c, md5.h, md5_test.c, sha1.c, sha1.h,
	sha1_test.c, sha256.c, sha256.h, sha256_test.c, sha384.c, sha384.h,
	sha384_test.c, sha512.c, sha512.h, sha512_test.c: merged in new
	hash changes

2002-06-10 Monday 12:30  Herbert Valerio Riedel <hvr@kernel.org>

	* kernel/crypto/digests/: Doxyfile, Makefile, digest-md5.c,
	digest-sha1.c, digest-sha256.c, digest-sha384.c, digest-sha512.c,
	hashcom.c, hashcom.h, hasher.c, hasher.h, hasher_test.c, hmacer.c,
	hmacer.h, hmacer_test.c, md5.c, md5.h, md5_test.c, sha1.c, sha1.h,
	sha1_test.c, sha256.c, sha256.h, sha256_test.c, sha384.c, sha384.h,
	sha384_test.c, sha512.c, sha512.h, sha512_test.c: restored old hash
	api; moving new code into own brnach

2002-06-10 Monday 10:00  Herbert Valerio Riedel <hvr@kernel.org>

	* kernel/crypto/ciphers/gen-cipher.h: if we register it, we must
	also unregister...

2002-06-10 Monday 04:19  Kyle McMartin <kyle@debian.org>

	* kernel/: crypto/ciphers/gen-cipher.h, crypto/ciphers/gen-ctr.h,
	crypto/ciphers/gen-rtc.h, crypto/digests/digest-sha1.c,
	crypto/digests/digest-sha256.c, crypto/digests/digest-sha384.c,
	crypto/digests/digest-sha512.c, include/linux/crypto.h: cleanups to
	gen-rtc and gen-ctr, added CIPHER_MODE_(CTR|RTC) to
	include/linux/crypto.h, added MODULE_LICENSE tags to digest-sha*.c

2002-06-10 Monday 04:17  Kyle McMartin <kyle@debian.org>

	* CodingStyle: forgot about this...

2002-06-10 Monday 03:54  Jean-Luc Cooke <jlcooke@certainkey.com>

	* kernel/crypto/digests/: sha1.c, sha256.c, sha384.c, sha512.c:
	fixed more compile errors

2002-06-10 Monday 03:48  Jean-Luc Cooke <jlcooke@certainkey.com>

	* kernel/crypto/digests/: digest-md5.c, digest-sha1.c,
	digest-sha256.c, digest-sha384.c, digest-sha512.c, hashcom.h,
	md5.c: jlcooke should test his stuff first no?	:)

2002-06-10 Monday 01:18  Jean-Luc Cooke <jlcooke@certainkey.com>

	* kernel/crypto/digests/Makefile: I hope I did this right...

2002-06-10 Monday 01:14  Jean-Luc Cooke <jlcooke@certainkey.com>

	* kernel/crypto/ciphers/gen-cipher.h: added RTC and CTR modes

2002-06-10 Monday 01:08  Jean-Luc Cooke <jlcooke@certainkey.com>

	* kernel/crypto/ciphers/: gen-ctr.h, gen-rtc.h: CTR mode of
	operation is standardized with the new AES.  RTC mode is something
	I made up which is impervious to the attacks on CTR with cryptoloop

2002-06-10 Monday 00:59  Jean-Luc Cooke <jlcooke@certainkey.com>

	* kernel/crypto/digests/: Doxyfile, digest-sha256.c,
	digest-sha384.c, digest-sha512.c, hashcom.c, hashcom.h, hasher.c,
	hasher.h, hasher_test.c, hmacer.c, hmacer.h, hmacer_test.c, md5.c,
	md5.h, md5_test.c, sha1.c, sha1.h, sha1_test.c, sha256.c, sha256.h,
	sha256_test.c, sha384.c, sha384.h, sha384_test.c, sha512.c,
	sha512.h, sha512_test.c: jlcooke's impl'n of sha-256/384/512 with
	test beds.  jlcooke's hasher_t and hmacer_t types for easy
	programing and future improvments hidden from the end-programmer,
	doxygen notes included, old API is still supported though it may be
	depricated...

2002-06-10 Monday 00:56  Jean-Luc Cooke <jlcooke@certainkey.com>

	* kernel/crypto/digests/: digest-md5.c, digest-sha1.c: Now uses
	jlcooke's impl'ns.  From now on, all low-level digests will have
	the context as the frist argument...almost consistant isn't it?

2002-05-30 Thursday 12:58  Herbert Valerio Riedel <hvr@kernel.org>

	* Makefile, patches/linux-2.4/loop-jari-2.4.18: added
	loop-jari-2.4.18 from loop-AES-1.6d;

2002-05-20 Monday 03:14  David Bryson <mutex@mac.com>

	* kernel/crypto/ciphers/cipher-dummy.c: Updated the cipher-dummy
	template to work with the new gen-cipher abstraction for multiple
	blockmodes and general code prettyness.

2002-05-04 Saturday 15:00  Herbert Valerio Riedel <hvr@kernel.org>

	* kernel/include/linux/crypto.h: added CRYPTO_API_VERSION #define

2002-04-28 Sunday 16:33  Kyle McMartin <kyle@debian.org>

	* Makefile: more improvements, make modules behaves somewhat
	perfectly and warns if the kernel source and user kernel versions
	are different.

2002-04-22 Monday 14:02  Herbert Valerio Riedel <hvr@kernel.org>

	* Makefile: added utils subdir to dist target

2002-04-21 Sunday 17:22  David Bryson <mutex@mac.com>

	* README: Added directions for manual patching, so the user doesn't
	have to dig through the makefile.

2002-04-18 Thursday 08:21  David Bryson <mutex@mac.com>

	* kernel/include/linux/crypto.h: A quick update to change
	CIPHER_MODE_CFB from 0x00030000 to 0x00040000 to avoid some
	comparison problems

2002-04-13 Saturday 18:16  Kyle McMartin <kyle@debian.org>

	* kernel/Documentation/cryptoapi/cryptoapi.txt: fix a couple things
	irt digests.

2002-04-13 Saturday 18:11  Kyle McMartin <kyle@debian.org>

	* Makefile: appended the default message to include $LOOP

2002-04-12 Friday 11:38  Herbert Valerio Riedel <hvr@kernel.org>

	* kernel/crypto/ciphers/: cipher-aes.c, cipher-dfc.c,
	cipher-mars.c, cipher-rc6.c: declared as "Dual BSD/GPL" code

2002-04-11 Thursday 17:31  David Bryson <mutex@mac.com>

	* Makefile, patches/findpatch.pl: findpatch.pl now can patch either
	loop-iv or loop-jari depending on the flags it is given:
	findpatch.pl <kernel source> <loop type> -R . In addition the
	Makefile has been modified so that you can specify which loop patch
	you want to use/and or if you want to patch the loop driver at all(
	make patch-kernel-noloop) see updated README for more info.

2002-04-11 Thursday 17:26  David Bryson <mutex@mac.com>

	* README, kernel/Documentation/cryptoapi/README: Updated the top
	level README to have an explanation on how to use the cryptoapi
	makefile to patch the kernel.  And the cryptoapi specific readme to
	have some information about what the cryptoapi does and what it's
	good for.

2002-04-10 Wednesday 19:03  David Bryson <mutex@mac.com>

	* kernel/Documentation/cryptoapi/cryptoloop.txt: Added description
	of how loopback crypto and cryptoloop module work, and guide for
	migrating from loop-AES to cryptoapi filesystem encryption.

2002-04-10 Wednesday 17:35  Herbert Valerio Riedel <hvr@kernel.org>

	* kernel/Documentation/cryptoapi/cryptoapi.txt: stupid typo of mine
	fixed

2002-04-10 Wednesday 17:21  Herbert Valerio Riedel <hvr@kernel.org>

	* Makefile, kernel/crypto/ciphers/cipher-blowfish.c,
	kernel/crypto/ciphers/cipher-cast5.c,
	kernel/crypto/ciphers/cipher-des.c,
	kernel/crypto/ciphers/cipher-des_ede3.c,
	kernel/crypto/ciphers/cipher-dfc.c,
	kernel/crypto/ciphers/cipher-dummy.c,
	kernel/crypto/ciphers/cipher-idea.c,
	kernel/crypto/ciphers/cipher-mars.c,
	kernel/crypto/ciphers/cipher-rc5.c,
	kernel/crypto/ciphers/cipher-rc6.c,
	kernel/crypto/ciphers/cipher-serpent.c,
	kernel/crypto/ciphers/cipher-twofish.c: fixed missing
	initialization of cx->key_length in ciphers

2002-04-10 Wednesday 17:04  David Bryson <mutex@mac.com>

	* Makefile, patches/findpatch.pl: Wrote findpatch.pl, which
	attempts to locate a loop-iv patch closest to the current kernel
	version that is being patched.	Then added lines to the makefile so
	that it will get executed during make patch-kernel and
	unpatch-kernel

2002-04-03 Wednesday 14:49  Herbert Valerio Riedel <hvr@kernel.org>

	* kernel/crypto/ciphers/cipher-rc5.c: marked cipher-rc5.c as
	unusable

2002-04-03 Wednesday 14:16  Herbert Valerio Riedel <hvr@kernel.org>

	* kernel/crypto/ciphers/cipher-idea.c: medium cleanup/migration to
	gen-cipher.h

2002-04-02 Tuesday 22:33  Kyle McMartin <kyle@debian.org>

	* kernel/crypto/ciphers/cipher-idea.c: added idea patch that Gisle
	sent to the mailing list.

2002-04-01 Monday 17:56  Herbert Valerio Riedel <hvr@kernel.org>

	* kernel/: crypto/cryptoapi.c, crypto/ciphers/cipher-aes.c,
	crypto/ciphers/cipher-blowfish.c, crypto/ciphers/cipher-idea.c,
	crypto/ciphers/cipher-twofish.c, include/linux/crypto.h: minor code
	cleanups

2002-03-31 Sunday 21:41  Kyle McMartin <kyle@debian.org>

	* kernel/crypto/ciphers/cipher-cast5.c: cleanups, and now supports
	key_length == {40,64,80}

2002-03-31 Sunday 16:39  Herbert Valerio Riedel <hvr@kernel.org>

	* Makefile: renamed version to 0.1.0-pre1

2002-03-31 Sunday 16:27  Herbert Valerio Riedel <hvr@kernel.org>

	* Makefile: minor fix for digest build] pattern

2002-03-29 Friday 19:34  Kyle McMartin <kyle@debian.org>

	* Makefile: more intelligent kernel version detection (handles
	appended -foo+bar)

2002-03-29 Friday 16:22  Herbert Valerio Riedel <hvr@kernel.org>

	* Makefile, README, kernel/Documentation/cryptoapi/README: [no log
	message]

2002-03-29 Friday 00:38  David Bryson <mutex@mac.com>

	* kernel/crypto/: ciphers/Config.help, digests/Config.help: Minor
	spelling updates for various ciphers and      digests.	Added
	missing module license descriptions and algorithm use descriptions.

2002-03-27 Wednesday 20:37  David Bryson <mutex@mac.com>

	* kernel/crypto/ciphers/gen-cfb.h: Actually added the actual
	gen-cfb.h file this time, d'oh!

2002-03-27 Wednesday 20:35  David Bryson <mutex@mac.com>

	* kernel/: crypto/ciphers/gen-cipher.h, include/linux/crypto.h:
	Added cipher feedback (cfb) mode to the gen-cipher template.  All
	ciphers have been tested and seem to work.  CFB is useful for
	turning a block cipher into a stream cipher.  See
	http://www.faqs.org/faqs/cryptography-faq/part05/ for some info on
	CFB(or page 200 in Applied Crypto).

2002-03-27 Wednesday 01:04  David Bryson <mutex@mac.com>

	* kernel/crypto/: ciphers/Config.help, digests/Config.help: Updated
	Config.help documentation for all ciphers and digests. Fixed > 70
	character line length problems and added CAST5 variable.  Licenses
	and links for RC5 and other ciphers updated.

2002-03-27 Wednesday 01:01  Kyle McMartin <kyle@debian.org>

	* kernel/crypto/ciphers/gen-cipher.h: CIPHER_SYMBOL() didn't like
	to cooperate with gcc -v <= 3.*, so replaced it with CIPHER_ID.

2002-03-25 Monday 21:10  Kyle McMartin <kyle@debian.org>

	* kernel/crypto/ciphers/cipher-cast5.c: even more clean ups.

2002-03-25 Monday 20:14  Kyle McMartin <kyle@debian.org>

	* kernel/crypto/ciphers/cipher-cast5.c: updated the rest of the
	cipher.

2002-03-25 Monday 05:09  Kyle McMartin <kyle@debian.org>

	* kernel/crypto/ciphers/cipher-cast5.c: hopefully updated CAST5 to
	the new framework.

2002-03-25 Monday 04:33  Kyle McMartin <kyle@debian.org>

	* Makefile: makefile now patches Configure.help

2002-03-24 Sunday 23:11  David Bryson <mutex@mac.com>

	* kernel/crypto/: ciphers/Config.help, digests/Config.help: Added
	Config.help descriptions for ciphers and digests for kernel
	configs.  Each includes a description of the algorithm and a link
	for more info.

2002-03-24 Sunday 23:06  Herbert Valerio Riedel <hvr@kernel.org>

	* kernel/Documentation/cryptoapi/cryptoapi.txt: reflect API change

2002-03-24 Sunday 20:43  Herbert Valerio Riedel <hvr@kernel.org>

	* kernel/crypto/ciphers/cipher-dfc.c: migrated dfc to gen-cipher
	template

2002-03-23 Saturday 14:40  Herbert Valerio Riedel <hvr@kernel.org>

	* kernel/crypto/ciphers/cipher-rc6.c: forgot #include
	"gen-cipher.h"

2002-03-23 Saturday 14:37  Herbert Valerio Riedel <hvr@kernel.org>

	* kernel/crypto/ciphers/: cipher-des.c, cipher-des_ede3.c,
	cipher-mars.c, cipher-rc6.c, cipher-serpent.c: migrated cipher to
	new gen-header template

2002-03-23 Saturday 14:21  Herbert Valerio Riedel <hvr@kernel.org>

	* kernel/crypto/ciphers/: cipher-aes.c, gen-cipher.h: migrated
	cipher to new gen-header template

2002-03-23 Saturday 14:15  Herbert Valerio Riedel <hvr@kernel.org>

	* kernel/crypto/ciphers/cipher-twofish.c: migrated twofish cipher
	to new gen-cipher template

2002-03-23 Saturday 13:20  Herbert Valerio Riedel <hvr@kernel.org>

	* Makefile, kernel/crypto/ciphers/cipher-blowfish.c,
	kernel/crypto/ciphers/gen-cipher.h: added new template header

2002-03-17 Sunday 04:25  Kyle McMartin <kyle@debian.org>

	* kernel/crypto/ciphers/cipher-cast5.c: cleaned up a bit. much
	easier to read now...

2002-03-15 Friday 14:19  Herbert Valerio Riedel <hvr@kernel.org>

	* Makefile, kernel/crypto/ciphers/cipher-rc5.c: removed #define
	conflicts ; moved cryptoloop compilation to end

2002-03-15 Friday 13:47  Herbert Valerio Riedel <hvr@kernel.org>

	* kernel/crypto/ciphers/: gen-cbc.h, gen-ecb.h: fixes for 2.5 from
	ben slusky

2002-03-15 Friday 13:13  Herbert Valerio Riedel <hvr@kernel.org>

	* kernel/crypto/ciphers/gen-cbc.h, Makefile: fixes for 2.5 from ben
	slusky

2002-03-13 Wednesday 16:25  Kyle McMartin <kyle@debian.org>

	* kernel/Documentation/cryptoapi/cryptoapi.txt: added some
	information on digests.

2002-03-10 Sunday 23:05  Kyle McMartin <kyle@debian.org>

	* Makefile, kernel/crypto/ciphers/Config.in,
	kernel/crypto/ciphers/Makefile: 
	add Config.in support for CAST5.

2002-03-10 Sunday 21:35  Kyle McMartin <kyle@debian.org>

	* kernel/crypto/ciphers/cipher-aes.c: 
	removed c++/c99 style comments. removed defunct #if 0 clause.

2002-03-10 Sunday 18:45  Kyle McMartin <kyle@debian.org>

	* kernel/crypto/ciphers/cipher-cast5.c: 
	fixups.

2002-03-10 Sunday 17:56  Kyle McMartin <kyle@debian.org>

	* Makefile: 
	Makefile now automatically generates $CIPHERS and $DIGESTS, this
	means we can have a modular distribution. (ie: have patented
	ciphers in a seperate tarball, and just have the user untar in the
	toplevel directory for them to get picked up by make modules)

2002-03-10 Sunday 17:36  Kyle McMartin <kyle@debian.org>

	* kernel/crypto/ciphers/cipher-cast5.c: 
	adding CAST-128 to our collection of ciphers.

2002-03-09 Saturday 21:20  Herbert Valerio Riedel <hvr@kernel.org>

	* kernel/crypto/ciphers/cipher-des.c: minor changes

2002-03-09 Saturday 19:26  Herbert Valerio Riedel <hvr@kernel.org>

	* kernel/crypto/ciphers/cipher-twofish.c: [no log message]

2002-03-09 Saturday 19:21  Kyle McMartin <kyle@debian.org>

	* kernel/Documentation/cryptoapi/cryptoapi.txt: 
	add section on digest usage.

2002-03-09 Saturday 18:34  Kyle McMartin <kyle@debian.org>

	* Makefile, kernel/crypto/Config.in,
	kernel/crypto/ciphers/Config.in: 
	modified the Config.in, dedeprecated DES, cleaned up some Makefile
	stupidity of mine (s/all:/default:/g)

2002-03-09 Saturday 18:31  Herbert Valerio Riedel <hvr@kernel.org>

	* kernel/crypto/ciphers/cipher-blowfish.c: tuned blowfish cipher a
	little bit

2002-03-07 Thursday 19:31  Herbert Valerio Riedel <hvr@kernel.org>

	* Makefile, Makefile.modules, patches/linux-2.2/kbuild-2.2.20,
	patches/linux-2.2/loop-jari-2.2.20: new Makefile target; added
	patches for 2.2.20

2002-03-07 Thursday 06:02  Kyle McMartin <kyle@debian.org>

	* Makefile: 
	had a revelation, pity after committing. regardless, the version
	detection now does not whine about non-existant files on clean.

2002-03-07 Thursday 05:27  Kyle McMartin <kyle@debian.org>

	* Makefile: 
	using hvr's make version target to grab the kernel version in order
	to patch/unpatch/copy files into the tree, cool.

2002-03-05 Tuesday 19:16  Herbert Valerio Riedel <hvr@kernel.org>

	* patches/linux-2.4/: loop-iv-2.4.16, loop-jari-2.4.16: added loop
	patches

2002-03-05 Tuesday 17:41  Herbert Valerio Riedel <hvr@kernel.org>

	* kernel/: crypto/cryptoapi.c, crypto/ciphers/cipher-des.c,
	crypto/ciphers/cipher-des_ede3.c, crypto/ciphers/cipher-dummy.c,
	crypto/ciphers/cipher-serpent.c, include/linux/crypto.h: added 2.2
	compatibility

2002-03-05 Tuesday 17:29  Herbert Valerio Riedel <hvr@kernel.org>

	* kernel/crypto/cryptoapi.c: added 2.2 compatibility

2002-03-05 Tuesday 16:32  Herbert Valerio Riedel <hvr@kernel.org>

	* kernel/crypto/ciphers/cipher-serpent.c: readded GPL tags

2002-03-05 Tuesday 16:24  Herbert Valerio Riedel <hvr@kernel.org>

	* kernel/crypto/: cryptoapi.c, ciphers/cipher-des.c,
	ciphers/cipher-des_ede3.c, ciphers/cipher-dummy.c: added GPL
	license tags where known to be right

2002-03-05 Tuesday 07:00  Kyle McMartin <kyle@debian.org>

	* kernel/crypto/cryptoapi.c, kernel/crypto/ciphers/cipher-aes.c,
	kernel/crypto/ciphers/cipher-blowfish.c,
	kernel/crypto/ciphers/cipher-blowfish_old.c,
	kernel/crypto/ciphers/cipher-des.c,
	kernel/crypto/ciphers/cipher-des_ede3.c,
	kernel/crypto/ciphers/cipher-dfc.c,
	kernel/crypto/ciphers/cipher-dummy.c,
	kernel/crypto/ciphers/cipher-idea.c,
	kernel/crypto/ciphers/cipher-mars.c,
	kernel/crypto/ciphers/cipher-rc5.c,
	kernel/crypto/ciphers/cipher-rc6.c,
	kernel/crypto/ciphers/cipher-serpent.c,
	kernel/crypto/ciphers/cipher-twofish.c,
	kernel/crypto/digests/digest-md5.c,
	kernel/crypto/digests/digest-sha1.c,
	patches/linux-2.4/kbuild-2.4.18: 
	fix all my stupidness with MODULE_LICENSE. this reverts the
	MODULE_* to where it was before i mangled it, until a more
	permanent solution can be put into place. also reverts the changes
	to the kbuild script.

2002-03-04 Monday 02:07  Kyle McMartin <kyle@debian.org>

	* patches/linux-2.4/kbuild-2.4.18: 
	whoops, changing EXTRAVERSION to read -cryptoapi, in case a full
	kernel crypto patch wants -crypto.

2002-03-03 Sunday 21:28  Kyle McMartin <kyle@debian.org>

	* Makefile, Makefile.modules, kernel/crypto/Config.in,
	kernel/crypto/cryptoapi.c, kernel/crypto/ciphers/Config.in,
	kernel/crypto/ciphers/cipher-aes.c,
	kernel/crypto/ciphers/cipher-blowfish.c,
	kernel/crypto/ciphers/cipher-blowfish_old.c,
	kernel/crypto/ciphers/cipher-des.c,
	kernel/crypto/ciphers/cipher-des_ede3.c,
	kernel/crypto/ciphers/cipher-dfc.c,
	kernel/crypto/ciphers/cipher-dummy.c,
	kernel/crypto/ciphers/cipher-idea.c,
	kernel/crypto/ciphers/cipher-mars.c,
	kernel/crypto/ciphers/cipher-rc5.c,
	kernel/crypto/ciphers/cipher-rc6.c,
	kernel/crypto/ciphers/cipher-serpent.c,
	kernel/crypto/ciphers/cipher-twofish.c,
	kernel/crypto/digests/Config.in,
	kernel/crypto/digests/digest-md5.c,
	kernel/crypto/digests/digest-sha1.c, kernel/include/linux/crypto.h,
	kernel/include/linux/wordops.h, patches/linux-2.4/kbuild-2.4.18: 
	throwing up my changes... new Makefile, fixed MODULE_*
	declarations, and some Config.in cleanups. also included dbryson's
	kbuild patch which includes hvr's loop patch.

2002-03-02 Saturday 14:32  Herbert Valerio Riedel <hvr@kernel.org>

	* kernel/crypto/ciphers/cipher-rc5.c: fixed keylength related bug;
	fixed endian-issues

2002-03-02 Saturday 12:18  Herbert Valerio Riedel <hvr@kernel.org>

	* kernel/: crypto/ciphers/cipher-rc6.c, include/linux/wordops.h:
	[no log message]

2002-03-02 Saturday 12:01  Herbert Valerio Riedel <hvr@kernel.org>

	* kernel/crypto/ciphers/cipher-rc6.c: [no log message]

2002-03-02 Saturday 11:51  Herbert Valerio Riedel <hvr@kernel.org>

	* kernel/: crypto/ciphers/cipher-rc6.c, include/linux/wordops.h:
	fixed rotl/r

2002-03-02 Saturday 10:27  Herbert Valerio Riedel <hvr@kernel.org>

	* kernel/crypto/ciphers/cipher-rc6.c: fixed big-endian issues

2002-03-02 Saturday 10:21  Herbert Valerio Riedel <hvr@kernel.org>

	* kernel/crypto/ciphers/cipher-mars.c: [no log message]

2002-03-02 Saturday 10:17  Herbert Valerio Riedel <hvr@kernel.org>

	* kernel/crypto/ciphers/cipher-mars.c: (hopefully) fixed for
	big-endian

2002-03-02 Saturday 00:13  Herbert Valerio Riedel <hvr@kernel.org>

	* kernel/: crypto/cryptoapi.c, crypto/ciphers/gen-cbc.h,
	crypto/ciphers/gen-ecb.h, include/linux/crypto.h: changed API to
	support old call convention

2002-03-01 Friday 22:58  Herbert Valerio Riedel <hvr@kernel.org>

	* Makefile, Makefile.modules: added "version" target; included old
	blowfish cipher

2002-03-01 Friday 22:55  Herbert Valerio Riedel <hvr@kernel.org>

	* kernel/crypto/ciphers/Config.in: [no log message]

2002-03-01 Friday 22:50  Herbert Valerio Riedel <hvr@kernel.org>

	* kernel/crypto/ciphers/: Makefile, cipher-blowfish_old.c:
	compatibility blowfish now available under blowfish_old

2002-03-01 Friday 22:48  Herbert Valerio Riedel <hvr@kernel.org>

	* kernel/crypto/ciphers/cipher-blowfish.c: fixed blowfish endianess

2002-02-28 Thursday 17:20  Herbert Valerio Riedel <hvr@kernel.org>

	* Makefile: added dist target

2002-02-28 Thursday 16:56  Herbert Valerio Riedel <hvr@kernel.org>

	* Makefile, Makefile.modules: new Makefile system

2002-02-28 Thursday 15:19  Herbert Valerio Riedel <hvr@kernel.org>

	* patches/linux-2.4/kbuild-2.4.18: [no log message]

2002-02-28 Thursday 14:46  Herbert Valerio Riedel <hvr@kernel.org>

	* kernel/crypto/Config.help: [no log message]

2002-02-28 Thursday 14:37  Herbert Valerio Riedel <hvr@kernel.org>

	* kernel/Documentation/cryptoapi/: cryptoapi.txt, cryptoloop.txt:
	[no log message]

2002-02-27 Wednesday 00:09  Herbert Valerio Riedel <hvr@kernel.org>

	* Makefile: [no log message]

2002-02-26 Tuesday 23:27  Herbert Valerio Riedel <hvr@kernel.org>

	* kernel/: crypto/Config.in, crypto/Makefile, crypto/cryptoapi.c,
	crypto/ciphers/Config.in, crypto/ciphers/Makefile,
	crypto/ciphers/cipher-aes.c, crypto/ciphers/cipher-blowfish.c,
	crypto/ciphers/cipher-des.c, crypto/ciphers/cipher-des_ede3.c,
	crypto/ciphers/cipher-dfc.c, crypto/ciphers/cipher-dummy.c,
	crypto/ciphers/cipher-idea.c, crypto/ciphers/cipher-mars.c,
	crypto/ciphers/cipher-rc5.c, crypto/ciphers/cipher-rc6.c,
	crypto/ciphers/cipher-serpent.c, crypto/ciphers/cipher-twofish.c,
	crypto/ciphers/gen-cbc.h, crypto/ciphers/gen-ecb.h,
	crypto/digests/Config.in, crypto/digests/Makefile,
	crypto/digests/digest-md5.c, crypto/digests/digest-sha1.c,
	crypto/digests/gen-hmac.h, crypto/digests/md5.h,
	crypto/digests/md5c.c, crypto/digests/sha1c.c,
	include/linux/crypto.h, include/linux/wordops.h: new module of its
	own

